tionKeyVersions = _messages.StringField(4, repeated=True)
  etcdApiCa = _messages.StringField(5)
  etcdPeerCa = _messages.StringField(6)
  gkeopsEtcdBackupEncryptionKey = _messages.StringField(7)
  serviceAccountSigningKeys = _messages.StringField(8, repeated=True)
  serviceAccountVerificationKeys = _messages.StringField(9, repeated=True)


class VerticalPodAutoscaling(_messages.Message):
  r"""VerticalPodAutoscaling contains global, per-cluster information required
  by Vertical Pod Autoscaler to automatically adjust the resources of pods
  controlled by it.

  Fields:
    enabled: Enables vertical pod autoscaling.
  """

  enabled = _messages.BooleanField(1)


class VirtualNIC(_messages.Message):
  r"""Configuration of gVNIC feature.

  Fields:
    enabled: Whether gVNIC features are enabled in the node pool.
  """

  enabled = _messages.BooleanField(1)


class WindowsNodeConfig(_messages.Message):
  r"""Parameters that can be configured on Windows nodes. Windows Node Config
  that define the parameters that will be used to configure the Windows node
  pool settings.

  Enums:
    OsVersionValueValuesEnum: OSVersion specifies the Windows node config to
      be used on the node.

  Fields:
    osVersion: OSVersion specifies the Windows node config to be used on the
      node.
  """

  class OsVersionValueValuesEnum(_messages.Enum):
    r"""OSVersion specifies the Windows node config to be used on the node.

    Values:
      OS_VERSION_UNSPECIFIED: When OSVersion is not specified.
      OS_VERSION_LTSC2019: LTSC2019 specifies to use LTSC2019 as the Windows
        Servercore Base Image.
      OS_VERSION_LTSC2022: LTSC2022 specifies to use LTSC2022 as the Windows
        Servercore Base Image.
    """
    OS_VERSION_UNSPECIFIED = 0
    OS_VERSION_LTSC2019 = 1
    OS_VERSION_LTSC2022 = 2

  osVersion = _messages.EnumField('OsVersionValueValuesEnum', 1)


class WorkloadIdentityConfig(_messages.Message):
  r"""Configuration for the use of Kubernetes Service Accounts in IAM
  policies.

  Fields:
    workloadPool: The workload pool to attach all Kubernetes service accounts
      to.
  """

  workloadPool = _messages.StringField(1)


class WorkloadMetadataConfig(_messages.Message):
  r"""WorkloadMetadataConfig defines the metadata configuration to expose to
  workloads on the node pool.

  Enums:
    ModeValueValuesEnum: Mode is the configuration for how to expose metadata
      to workloads running on the node pool.

  Fields:
    mode: Mode is the configuration for how to expose metadata to workloads
      running on the node pool.
  """

  class ModeValueValuesEnum(_messages.Enum):
    r"""Mode is the configuration for how to expose metadata to workloads
    running on the node pool.

    Values:
      MODE_UNSPECIFIED: Not set.
      GCE_METADATA: Expose all Compute Engine metadata to pods.
      GKE_METADATA: Run the GKE Metadata Server on this node. The GKE Metadata
        Server exposes a metadata API to workloads that is compatible with the
        V1 Compute Metadata APIs exposed by the Compute Engine and App Engine
        Metadata Servers. This feature can only be enabled if Workload
        Identity is enabled at the cluster level.
    """
    MODE_UNSPECIFIED = 0
    GCE_METADATA = 1
    GKE_METADATA = 2

  mode = _messages.EnumField('ModeValueValuesEnum', 1)


class WorkloadPolicyConfig(_messages.Message):
  r"""WorkloadPolicyConfig is the configuration related to GCW workload policy

  Fields:
    allowNetAdmin: If true, workloads can use NET_ADMIN capability.
    autopilotCompatibilityAuditingEnabled: If true, enables the GCW Auditor
      that audits workloads on standard clusters.
  """

  allowNetAdmin = _messages.BooleanField(1)
  autopilotCompatibilityAuditingEnabled = _messages.BooleanField(2)


class WritableCgroups(_messages.Message):
  r"""Defines writable cgroups configuration.

  Fields:
    enabled: Optional. Whether writable cgroups is enabled.
  """

  enabled = _messages.BooleanField(1)


encoding.AddCustomJsonFieldMapping(
    StandardQueryParameters, 'f__xgafv', '$.xgafv')
encoding.AddCustomJsonEnumMapping(
    StandardQueryParameters.FXgafvValueValuesEnum, '_1', '1')
encoding.AddCustomJsonEnumMapping(
    StandardQueryParameters.FXgafvValueValuesEnum, '_2', '2')
